# List legal entities. - Returns a list of existing legal entities for an authorized company. The legal entities are returned sorted by their creation date, with the most recent appearing first. - If no legal entity can be found for the relevant company the endpoint will return an empty response. - The endpoint supports filtering legal entities by country and ID. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Legal Entities", "description": "Collection of endpoints to manage legal entities data.", "version": "2.0.0" }, "servers": [ { "url": "https://api.personio.de" } ], "security": [ { "BearerAuth": [] } ], "paths": { "/v2/legal-entities": { "get": { "summary": "List legal entities.", "description": "- Returns a list of existing legal entities for an authorized company. The legal entities are returned sorted by their creation date, with the most recent appearing first.\n- If no legal entity can be found for the relevant company the endpoint will return an empty response.\n- The endpoint supports filtering legal entities by country and ID.\n", "operationId": "listLegalEntities", "tags": [ "Legal Entities" ], "parameters": [ { "name": "id", "in": "query", "schema": { "type": "array", "items": { "type": "integer" } }, "description": "Filter results matching one or more provided legal entity IDs.", "example": "123,456", "required": false }, { "name": "country", "description": "Filter legal entities matching the given country. This filter applies to the country of the legal entity, and not to the country on the legal entity address.", "in": "query", "schema": { "type": "array", "items": { "type": "string" }, "description": "ISO 3166 alpha-2 country code.", "example": "DE, IE" }, "required": false }, { "in": "query", "name": "limit", "required": false, "schema": { "example": 50, "type": "integer", "minimum": 1, "maximum": 100, "default": 20 }, "description": "The number of entities to be returned per one request. It can range between 1 and 100, and the default is 20." }, { "in": "query", "name": "cursor", "required": false, "schema": { "example": "cur_82sQwR2eZvKilo2duNh219Kw", "type": "string" }, "description": "The pagination cursor to navigate over to the next list of resources. If you pass a specific limit to your request, or you rely on the default value of the number of resources to be returned, then your subsequent call has to include the cursor in order to retrieve the next list of resources. If cursor is missing, the first page is returned.\n" } ], "x-path-examples": { "200 Success - List all legal entities": { "value": "/public/organization/papi/v2/legal-entities" }, "200 Success - List all legal entities filtered by country": { "value": "/public/organization/papi/v2/legal-entities", "query": "country=DE" }, "200 Success - List all legal entities filtered by id": { "value": "/public/organization/papi/v2/legal-entities", "query": "id=123" }, "200 Success - List legal entities with limit": { "value": "/public/organization/papi/v2/legal-entities", "query": "limit=1" }, "200 Success - List legal entities with cursor": { "value": "/public/organization/papi/v2/legal-entities", "query": "cursor=cur_YV90b2tlbnwxMHw=" }, "400 Bad Request - Invalid cursor provided": { "value": "/public/organization/papi/v2/legal-entities", "query": "cursor=invalid" } }, "responses": { "200": { "description": "Successful response.", "content": { "application/json": { "schema": { "type": "object", "properties": { "_data": { "type": "array", "items": { "$ref": "#/components/schemas/LegalEntity" } }, "_meta": { "$ref": "#/components/schemas/LegalEntity/properties/_meta" } } }, "examples": { "200 Success - List all legal entities": { "$ref": "#/components/examples/ListLegalEntitiesResponse" }, "200 Success - List all legal entities filtered by country": { "$ref": "#/components/examples/ListLegalEntitiesFilteredByCountryResponse" }, "200 Success - List all legal entities filtered by id": { "$ref": "#/components/examples/ListLegalEntitiesFilteredByIdResponse" }, "200 Success - List legal entities with limit": { "$ref": "#/components/examples/ListLegalEntitiesLimit" }, "200 Success - List legal entities with cursor": { "$ref": "#/components/examples/ListLegalEntitiesCursor" } } } } }, "400": { "description": "The current request is invalid. Please make sure you pass all the required parameters and you are using the proper content-type.", "content": { "application/problem+json": { "schema": { "type": "object", "description": "This object represents an error response.", "properties": { "personio_trace_id": { "type": "string", "example": "aswo3f-a202lfso-312123sld-1230ddd", "description": "A unique ID that was created for this error." }, "timestamp": { "type": "string", "format": "date-time", "example": "2021-05-28T11:17:30.000Z", "description": "The timestamp of when the error occurred." }, "errors": { "type": "array", "items": { "type": "object", "properties": { "title": { "type": "string", "example": "Not found", "description": "The title of the error." }, "detail": { "type": "string", "example": "The requested resource was not found.", "description": "A short description about the error." }, "type": { "type": "string", "format": "uri", "example": "https://developer.personio.de/reference/errors#common.requested_resource_not_found", "description": "A link to the developer hub where more information can be found for the encountered error." }, "_meta": { "type": "object", "additionalProperties": { "type": "string" } } } } } } }, "examples": { "400 Bad Request - Invalid cursor provided": { "$ref": "#/components/examples/InvalidInputProvided" } } } } }, "412": { "description": "No access to legal entities feature.", "content": { "application/problem+json": { "schema": { "$ref": "#/paths/~1v2~1legal-entities/get/responses/400/content/application~1problem%2Bjson/schema" } } } } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "schemas": { "LegalEntity": { "description": "Legal Entity schema.", "type": "object", "required": [ "id", "is_main", "valid_from", "assigned_employees" ], "properties": { "id": { "type": "string", "description": "The ID of the legal entity." }, "status": { "$ref": "#/components/schemas/LegalEntityStatus" }, "is_main": { "type": "boolean", "description": "Whether this is the main legal entity or not. This field is deprecated and will be removed in the next version.", "deprecated": true }, "valid_from": { "type": "string", "format": "date", "description": "Legal entity creation date." }, "assigned_employees": { "$ref": "#/components/schemas/AssignedEmployees" }, "country": { "type": "string", "nullable": true, "description": "The country of the the legal entity. Must conform with ISO 3166 alpha-2 country code standard." }, "name": { "type": "string", "description": "The name of the legal entity." }, "type": { "$ref": "#/components/schemas/LegalEntityType" }, "registration_number": { "type": "string", "nullable": true, "description": "The company registration number." }, "industry_sector": { "$ref": "#/components/schemas/IndustrySector" }, "email": { "type": "string", "format": "email", "nullable": true, "description": "The email address of the legal entity." }, "phone": { "type": "string", "nullable": true, "description": "The phone number of the legal entity." }, "address": { "$ref": "#/components/schemas/Address" }, "contact_person": { "$ref": "#/components/schemas/ContactPerson" }, "bank_details": { "$ref": "#/components/schemas/BankDetails" }, "mailing_address": { "$ref": "#/components/schemas/MailingAddress" }, "_meta": { "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.", "type": "object", "readOnly": true, "properties": { "links": { "type": "object", "additionalProperties": { "description": "This objects represents a hyperlink.", "type": "object", "readOnly": true, "properties": { "href": { "type": "string", "format": "uri" } }, "additionalProperties": true }, "example": { "links": { "self": { "href": "https://api.personio.de/v2/person?cursor=" } } } } } } } }, "LegalEntityStatus": { "type": "string", "description": "The status of the legal entity.", "enum": [ "ACTIVE", "OUT_OF_BUSINESS" ] }, "AssignedEmployees": { "type": "object", "description": "Holds information about the number of employees assigned to the legal entity.", "required": [ "active", "total" ], "properties": { "active": { "type": "integer", "description": "The number of active assigned employees." }, "total": { "type": "integer", "description": "The number of total assigned employees." } } }, "Address": { "type": "object", "description": "The address of the legal entity.", "properties": { "street_name": { "type": "string", "nullable": true, "description": "The street name of the address." }, "house_number": { "type": "string", "nullable": true, "description": "The house number of the address." }, "postal_code": { "type": "string", "nullable": true, "description": "The postal code of the address." }, "city": { "type": "string", "nullable": true, "description": "The city of the address." }, "state": { "type": "string", "nullable": true, "description": "The state of the address. Must conform with ISO-3166-2 standard." } } }, "MailingAddress": { "type": "object", "nullable": true, "description": "The mailing address of the legal entity.", "properties": { "street_name": { "type": "string", "nullable": true, "description": "The street name of the address." }, "house_number": { "type": "string", "nullable": true, "description": "The house number of the address." }, "postal_code": { "type": "string", "nullable": true, "description": "The postal code of the address." }, "city": { "type": "string", "nullable": true, "description": "The city of the address." }, "name": { "type": "string", "nullable": true, "description": "The name of the receiver of the mail." }, "additional_info": { "type": "string", "nullable": true, "description": "The additional info of the address." }, "address_type": { "$ref": "#/components/schemas/AddressType" }, "country": { "type": "string", "nullable": true, "description": "The country of the address (which might differ from the LE country). Must conform with ISO 3166 alpha-2 country code standard." }, "po_box_number": { "type": "string", "nullable": true, "description": "The post office box number." } } }, "AddressType": { "type": "string", "nullable": true, "description": "The type of the address.", "enum": [ "REGULAR_ADDRESS", "PO_BOX", "EPOST", "FOREIGN_ADDRESS" ] }, "ContactPerson": { "type": "object", "nullable": true, "description": "The contact person of the legal entity.", "properties": { "salutation": { "$ref": "#/components/schemas/Salutation" }, "full_name": { "type": "string", "nullable": true, "description": "The full name of the contact person." }, "email": { "type": "string", "format": "email", "nullable": true, "description": "The email address of the contact person." }, "phone": { "type": "string", "nullable": true, "description": "The phone number of the contact person." }, "fax": { "type": "string", "nullable": true, "description": "The fax number of the contact person." } } }, "Salutation": { "type": "string", "nullable": true, "description": "The salutation of the contact person.", "enum": [ "MS", "MR" ] }, "BankDetails": { "type": "object", "nullable": true, "description": "The bank details of the legal entity.", "properties": { "iban": { "type": "string", "nullable": true, "description": "The IBAN of the bank details." }, "bic": { "type": "string", "nullable": true, "description": "The BIC of the bank details." }, "account_holder": { "type": "string", "nullable": true, "description": "The full name of the account holder of the bank details." } } }, "IndustrySector": { "type": "string", "nullable": true, "description": "The industry sector of the legal entity.", "enum": [ "ACCOUNTING_AND_AUDITING_SERVICES", "ADVERTISING_AND_PR_SERVICES", "AEROSPACE", "AGRICULTURE", "ARCHITECTURAL", "AUTOMOTIVE", "AUTOMOTIVE_PARTS", "BANKING", "BIOTECHNOLOGY", "BROADCASTING", "BUSINESS_SERVICES", "CHEMICALS", "CLOTHING", "COMPUTER_HARDWARE", "COMPUTER_SERVICES", "COMPUTER_SOFTWARE", "CONSTRUCTION", "CONSTRUCTION_RESIDENTIAL", "EDUCATION", "ELECTRONICS", "ENERGY", "ENGINEERING_SERVICES", "ENTERTAINMENT_VENUES", "FINANCIAL_SERVICES", "FOOD_AND_BEVERAGE", "GOVERNMENT", "HEALTHCARE_SERVICES", "HOTELS", "INSURANCE", "INTERNET", "LEGAL_SERVICES", "MANAGEMENT", "MANUFACTURING", "MARINE_MFG", "MEDICAL_DEVICES", "METALS", "NONPROFIT", "OTHER", "PERFORMING", "PERSONAL", "PERSONAL_CARE", "PRINTING", "REAL_ESTATE", "RENTAL_SERVICES", "RESTAURANT", "RETAIL", "SECURITY", "SPORTS", "STAFFING", "TELECOMMUNICATIONS", "TRADE_EXPORT", "TRANSPORT", "TRAVEL", "WASTE_MANAGEMENT" ] }, "LegalEntityType": { "type": "string", "nullable": true, "description": "The type of the legal entity.", "enum": [ "ADOR", "AG", "AG_UND_CO_KG", "AG_UND_CO_KGAA", "AG_UND_CO_OHG", "BV", "BV_UND_CO_KG", "EK_EKFR_EKFM", "EV", "EG", "EG_UND_CO_KG", "EINGETRAGENE_GESELLSCHAFT_BUERGERLICHEN_RECHTS", "EWIV", "GAG", "GBR", "GEBIETSKORPERSCHAFT", "GGMBH", "GGMBH_IG", "GMBH", "GMBH_UND_CO_KG", "GMBH_UND_CO_KGAA", "GMBH_UND_CO_OHG", "GMBH_IG", "GUG_HAFTUNGSBESCHRANKT", "KDOR", "KG", "KGAA", "KGAA_UND_CO_KG", "KGAA_UND_CO_OHG", "KIRCHENGEMEINDE", "LLC", "LLC_UND_CO_KG", "LTD_UND_CO_KG", "LTD_UND_CO_OHG", "LTD", "NV", "NICHT_IM_HR_EINGETR_EINZELUNTERNEHMEN", "NICHT_RECHTSFAHIGER_VEREIN", "OHG", "PARTNERSCHAFT_MBB", "PARTNERSCHAFT_PARTNER", "PRIVATHAUSHALT", "SA", "SPA", "SCE", "SE", "SE_UND_CO_KG", "SE_UND_CO_KGAA", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_PR", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_HRA", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_EU_PR", "SONSTIGE_AUSLANDISCHE_RECHTSFORM_EU_HRA", "SONSTIGE_BETRIEBE_GEWERBL_ART_VON_KORPERSCHAFTEN_D_OFFENTL_RECHTS", "SONSTIGE_NICHT_AUFGEFUHRTE_DEUTSCHE_HRA", "SONSTIGE_NICHT_AUFGEFUHRTE_DEUTSCHE_PR", "STIFTUNG", "STIFTUNG_UND_CO_KG", "STIFTUNG_OHNE_REGISTEREINTRAG", "UG_HAFTUNGSBESCHRANKT_UND_CO_KG", "UG_HAFTUNGSBESCHRANKT_UND_CO_KGAA", "UG_HAFTUNGSBESCHRANKT_UND_CO_OHG", "UG_HAFTUNGSBESCHRANKT_IG", "UG_HAFTUNGSBESCHRANKT", "VVAG", "WV", "WEG" ] } }, "examples": { "ListLegalEntitiesResponse": { "value": { "_data": [ { "id": "123", "status": "ACTIVE", "valid_from": "2024-01-15", "assigned_employees": { "active": 10, "total": 15 }, "country": "DE", "name": "Future GmbH", "type": "GMBH", "registration_number": "22055901", "industry_sector": "COMPUTER_SOFTWARE", "email": "test@future.de", "phone": "030-23125 608", "address": { "street_name": "Arnulfstr.", "house_number": "222", "postal_code": "25374", "city": "Berlin", "state": "DE-BE" }, "contact_person": { "salutation": "MR", "full_name": "Peter Lustig", "email": "peter.lustig@future.de", "phone": "06032 706758", "fax": "06032 706759" }, "bank_details": { "iban": "DE14500105173975664156", "bic": "INGDDEFF", "account_holder": "John Doe" }, "mailing_address": { "street_name": "Standardstr.", "house_number": "123", "postal_code": "80888", "city": "Munich", "name": "Standard", "additional_info": "", "address_type": "REGULAR_ADDRESS" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities/123" } } } }, { "id": "456", "status": "ACTIVE", "valid_from": "2024-01-01", "assigned_employees": { "active": 5, "total": 5 }, "country": "DE", "name": "Testing SE & Co. KG", "type": "SE_UND_CO_KG", "registration_number": "49811583", "industry_sector": "AUTOMOTIVE_PARTS", "email": "test@testing.de", "phone": "030-23125 590", "address": { "street_name": "Seidlstraße", "house_number": "3", "postal_code": "80335", "city": "München", "state": "DE-BY" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities/456" } } } }, { "id": "789", "status": "OUT_OF_BUSINESS", "valid_from": "2023-01-01", "assigned_employees": { "active": 0, "total": 0 }, "country": "IE", "name": "OOB Test", "registration_number": "54882636", "industry_sector": "ADVERTISING_AND_PR_SERVICES", "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities/789" } } } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities" }, "next": { "href": "https://api.personio.de/v2/legal-entities?cursor=cur_234ls0f02lalfdd" } } } } }, "ListLegalEntitiesFilteredByCountryResponse": { "value": { "_data": [ { "id": "123", "status": "ACTIVE", "valid_from": "2024-01-15", "assigned_employees": { "active": 10, "total": 15 }, "country": "DE", "name": "Future GmbH", "type": "GMBH", "registration_number": "22055901", "industry_sector": "COMPUTER_SOFTWARE", "email": "test@future.de", "phone": "030-23125 608", "address": { "street_name": "Arnulfstr.", "house_number": "222", "postal_code": "25374", "city": "Berlin", "state": "DE-BE" }, "contact_person": { "salutation": "MR", "full_name": "Peter Lustig", "email": "peter.lustig@future.de", "phone": "06032 706758", "fax": "06032 706759" }, "bank_details": { "iban": "DE14500105173975664156", "bic": "INGDDEFF", "account_holder": "John Doe" }, "mailing_address": { "street_name": "Standardstr.", "house_number": "123", "postal_code": "80888", "city": "Munich", "name": "Standard", "additional_info": "", "address_type": "REGULAR_ADDRESS" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities/123" } } } }, { "id": "456", "status": "ACTIVE", "valid_from": "2024-01-01", "assigned_employees": { "active": 5, "total": 5 }, "country": "DE", "name": "Testing SE & Co. KG", "type": "SE_UND_CO_KG", "registration_number": "49811583", "industry_sector": "AUTOMOTIVE_PARTS", "email": "test@testing.de", "phone": "030-23125 590", "address": { "street_name": "Seidlstraße", "house_number": "3", "postal_code": "80335", "city": "München", "state": "DE-BY" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities/456" } } } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities?country=DE" }, "next": { "href": "https://api.personio.de/v2/legal-entities?cursor=cur_234ls0f02lalfdd" } } } } }, "ListLegalEntitiesFilteredByIdResponse": { "value": { "_data": [ { "id": "123", "status": "ACTIVE", "valid_from": "2024-01-15", "assigned_employees": { "active": 10, "total": 15 }, "country": "DE", "name": "Future GmbH", "type": "GMBH", "registration_number": "22055901", "industry_sector": "COMPUTER_SOFTWARE", "email": "test@future.de", "phone": "030-23125 608", "address": { "street_name": "Arnulfstr.", "house_number": "222", "postal_code": "25374", "city": "Berlin", "state": "DE-BE" }, "contact_person": { "salutation": "MR", "full_name": "Peter Lustig", "email": "peter.lustig@future.de", "phone": "06032 706758", "fax": "06032 706759" }, "bank_details": { "iban": "DE14500105173975664156", "bic": "INGDDEFF", "account_holder": "John Doe" }, "mailing_address": { "street_name": "Standardstr.", "house_number": "123", "postal_code": "80888", "city": "Munich", "name": "Standard", "additional_info": "", "address_type": "REGULAR_ADDRESS" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities?id=-123" } } } } ] } }, "ListLegalEntitiesLimit": { "value": { "_data": [ { "id": "123", "status": "ACTIVE", "valid_from": "2024-01-15", "assigned_employees": { "active": 10, "total": 15 }, "country": "DE", "name": "Future GmbH", "type": "GMBH", "registration_number": "22055901", "industry_sector": "COMPUTER_SOFTWARE", "email": "test@future.de", "phone": "030-23125 608", "address": { "street_name": "Arnulfstr.", "house_number": "222", "postal_code": "25374", "city": "Berlin", "state": "DE-BE" }, "contact_person": { "salutation": "MR", "full_name": "Peter Lustig", "email": "peter.lustig@future.de", "phone": "06032 706758", "fax": "06032 706759" }, "bank_details": { "iban": "DE14500105173975664156", "bic": "INGDDEFF", "account_holder": "John Doe" }, "mailing_address": { "street_name": "Standardstr.", "house_number": "123", "postal_code": "80888", "city": "Munich", "name": "Standard", "additional_info": "", "address_type": "REGULAR_ADDRESS" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities?limit=1" } } } } ] } }, "ListLegalEntitiesCursor": { "value": { "_data": [ { "id": "123", "status": "ACTIVE", "valid_from": "2024-01-15", "assigned_employees": { "active": 10, "total": 15 }, "country": "DE", "name": "Future GmbH", "type": "GMBH", "registration_number": "22055901", "industry_sector": "COMPUTER_SOFTWARE", "email": "test@future.de", "phone": "030-23125 608", "address": { "street_name": "Arnulfstr.", "house_number": "222", "postal_code": "25374", "city": "Berlin", "state": "DE-BE" }, "contact_person": { "salutation": "MR", "full_name": "Peter Lustig", "email": "peter.lustig@future.de", "phone": "06032 706758", "fax": "06032 706759" }, "bank_details": { "iban": "DE14500105173975664156", "bic": "INGDDEFF", "account_holder": "John Doe" }, "mailing_address": { "street_name": "Standardstr.", "house_number": "123", "postal_code": "80888", "city": "Munich", "name": "Standard", "additional_info": "", "address_type": "REGULAR_ADDRESS" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/legal-entities?limit=1" } } } } ] } }, "InvalidInputProvided": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Bad request", "detail": "Provided input is invalid.", "type": "https://developer.personio.de/v2.0/page/public-api-error-codes#organization_managementbad_request" } ] } } } } } ```